Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui
Class DefaultSoapUICore

    java.lang.Object
      com.eviware.soapui.DefaultSoapUICore

All Implemented Interfaces:
  SoapUICore

Direct Known Subclasses:
  SwingSoapUICore

    public class DefaultSoapUICore

extends java.lang.Object
implements SoapUICore

Initializes core objects. Transform to a Spring "ApplicationContext"?

Author:
  ole.matzura

Field Summary
`static org.apache.log4j.Logger` | `log`

Fields inherited from interface com.eviware.soapui.SoapUICore
`DEFAULT_SETTINGS_FILE`

Constructor Summary
`DefaultSoapUICore()`
`DefaultSoapUICore(java.lang.String root)`
`DefaultSoapUICore(java.lang.String root, java.lang.String settingsFile)`

Method Summary
`protected void` | `addExternalListeners(java.lang.String folder, java.lang.ClassLoader classLoader)`
`static DefaultSoapUICore` | `createDefault()`
`SoapUIActionRegistry` | `getActionRegistry()`
`protected java.lang.ClassLoader` | `getExtensionClassLoader()`
`SoapUIListenerRegistry` | `getListenerRegistry()`
`MockEngine` | `getMockEngine()`
`java.lang.String` | `getRoot()`
`Settings` | `getSettings()`
`void` | `importSettings(java.io.File file)`
`void` | `init(java.lang.String settingsFile)`
`protected void` | `initActionRegistry()`
`protected void` | `initCoreComponents()`
`protected void` | `initDefaultSettings(Settings settings2)`
`protected void` | `initExtensions(java.lang.ClassLoader extensionClassLoader)`
`protected void` | `initListenerRegistry()`
`protected void` | `initLog()`
`protected Settings` | `initSettings(java.lang.String fileName)`
`protected void` | `loadExternalLibraries()`
`java.lang.String` | `saveSettings()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    public static org.apache.log4j.Logger log

Constructor Detail

### DefaultSoapUICore

    public DefaultSoapUICore()

### DefaultSoapUICore

    public DefaultSoapUICore(java.lang.String root)

### DefaultSoapUICore

    public DefaultSoapUICore(java.lang.String root,
                             java.lang.String settingsFile)

Method Detail

### createDefault

    public static DefaultSoapUICore createDefault()

### init

    public void init(java.lang.String settingsFile)

### initExtensions

    protected void initExtensions(java.lang.ClassLoader extensionClassLoader)

### getExtensionClassLoader

    protected java.lang.ClassLoader getExtensionClassLoader()

### initCoreComponents

    protected void initCoreComponents()

### getRoot

    public java.lang.String getRoot()

### initSettings

    protected Settings initSettings(java.lang.String fileName)

### importSettings

    public void importSettings(java.io.File file)
                        throws java.lang.Exception

  Specified by:
    `importSettings` in interface `SoapUICore`
  Throws:
    `java.lang.Exception`

### getSettings

    public Settings getSettings()

  Specified by:
    `getSettings` in interface `SoapUICore`

### initDefaultSettings

    protected void initDefaultSettings(Settings settings2)

### saveSettings

    public java.lang.String saveSettings()
                                  throws java.lang.Exception

  Specified by:
    `saveSettings` in interface `SoapUICore`
  Throws:
    `java.lang.Exception`

### initLog

    protected void initLog()

### loadExternalLibraries

    protected void loadExternalLibraries()

### getMockEngine

    public MockEngine getMockEngine()

  Specified by:
    `getMockEngine` in interface `SoapUICore`

### getListenerRegistry

    public SoapUIListenerRegistry getListenerRegistry()

  Specified by:
    `getListenerRegistry` in interface `SoapUICore`

### initListenerRegistry

    protected void initListenerRegistry()

### getActionRegistry

    public SoapUIActionRegistry getActionRegistry()

  Specified by:
    `getActionRegistry` in interface `SoapUICore`

### initActionRegistry

    protected void initActionRegistry()

### addExternalListeners

    protected void addExternalListeners(java.lang.String folder,
                                        java.lang.ClassLoader classLoader)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.